SparrowDesk
Conversation imports

Bulk import conversations

Backdated, no notifications/workflows/SLA. Returns a job id to poll. [requires "edit all tickets" scope]

POST
/imports/conversations/create_many
AuthorizationBearer <token>

In: header

Header Parameters

x-import-source?string

Optional label identifying the system the conversations were imported from

conversations

Historical conversations to import. Each item has the same shape as the single-import conversation object.

Items1 <= items

Response Body

application/json

curl -X POST "https://app.sparrowdesk.com/v1/imports/conversations/create_many" \  -H "Content-Type: application/json" \  -d '{    "conversations": [      {        "subject": "string",        "requester": {},        "created_at": 0,        "description_html": "string"      }    ]  }'
{
  "data": {
    "job_id": "string"
  }
}
Empty